<div class="modal-header">
  <h1 class="modal-title">Hodnotenie cieľa</h1>
  <button (click)="dismiss()" aria-label="Close" class="close" type="button">
    <i aria-hidden="true" class="ki ki-close"></i>
  </button>
</div>

<div class="modal-body" [formGroup]="formGroup">
  <div class="form-group">
    <div class="row">
      <div class="col-12">
        <fox-input-text *ngIf="evaluationType === 'MIN' || evaluationType === 'MAX'"
                        [forceNoLabel]="true"
                        formControlName="evaluation"
                        label="Hodnotenie"
                        pattern="^-?\d*[.,]?\d{0,2}$"></fox-input-text>

        <fox-radio *ngIf="evaluationType === 'MARK'"
                   formControlName="evaluation"
                   [choices]="marks"
                   [inline]="true"
                   [forceNoLabel]="true"
                   label="Hodnotenie"></fox-radio>

        <fox-mega-radio *ngIf="evaluationType === 'KO'"
                        formControlName="evaluation"
                        [choices]="kos"
                        [forceNoLabel]="true"
                        label="Hodnotenie"></fox-mega-radio>
      </div>
    </div>
  </div>
</div>

<div class="modal-footer">
  <button (click)="onSubmit()"
          [loading]="formGroup.pending"
          color="primary"
          foxBtn
          foxBtnSpinner
          foxSpinner
          spinnerColor="white">Potvrdiť
  </button>
</div>
